curl --request GET \
--url https://api.kajabi.com/v1/hooks/form_submission_sample \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"type": "form_submissions",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"tags": {
"data": [
{
"id": "<string>",
"type": "forms"
}
]
}
}
}
]Returns sample webhook payload for the form_submission event:
[
{
"id": "0",
"type": "form_submissions",
"attributes": {
"name": "John Doe",
"email": "john.doe@example.com",
"address_line_1": null,
"address_line_2": null,
"address_city": null,
"address_country": null,
"address_state": null,
"address_zip": null,
"phone_number": null,
"business_number": null,
"mobile_phone_number": null
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
},
"form": {
"data": {
"id": "0",
"type": "forms"
}
}
}
},
{
"id": "0",
"type": "forms",
"attributes": {
"url": "https://bill-heaton.kajabi-products.test/forms/0",
"title": "Sample Form",
"default": false,
"webhook_url": null,
"created_at": null,
"updated_at": null
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
},
"fields": {
"data": []
},
"contact_tags": {
"data": []
}
}
}
]
The actual payloads are sent to the target_url as a POST request with the following JSON body:
{
"id": "hash_id",
"event": "form_submission",
"payload": [],
}
The payload array is the sample response above
curl --request GET \
--url https://api.kajabi.com/v1/hooks/form_submission_sample \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"type": "form_submissions",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>"
},
"relationships": {
"tags": {
"data": [
{
"id": "<string>",
"type": "forms"
}
]
}
}
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?